package org.kde.koala;
import org.kde.qt.*;


/** {@link KDoubleNumInput} emits these signals */
public interface KDoubleNumInputSignals {

/** 
 Emitted every time the value changes (by calling {@link KDoubleNumInput#setValue} or
 by user interaction).
     
*/
	void valueChanged( double arg1 );

/** 
 This is an overloaded member function, provided for
 convenience. It essentially behaves like the above function.

 Contains the value in units of {@link KDoubleNumInput#referencePoint.}

*/
	void relativeValueChanged( double arg1 );
	void destroyed( QObject obj );
}

